Bug 1368593 - [abrt] ibus: XkbFreeClientMap(): ibus-ui-gtk3 killed by SIGSEGV
Summary: [abrt] ibus: XkbFreeClientMap(): ibus-ui-gtk3 killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:71cbbdc0c5db800932fa62dd4f1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-19 21:17 UTC by laolux
Modified: 2017-08-01 21:55 UTC (History)
5 users (show)

Fixed In Version: ibus-1.5.16-6.fc26 ibus-1.5.14-6.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-31 06:25:04 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (20.21 KB, text/plain)
2016-08-19 21:18 UTC, laolux
no flags Details
File: cgroup (276 bytes, text/plain)
2016-08-19 21:18 UTC, laolux
no flags Details
File: core_backtrace (4.72 KB, text/plain)
2016-08-19 21:18 UTC, laolux
no flags Details
File: dso_list (8.30 KB, text/plain)
2016-08-19 21:18 UTC, laolux
no flags Details
File: environ (3.78 KB, text/plain)
2016-08-19 21:18 UTC, laolux
no flags Details
File: exploitable (82 bytes, text/plain)
2016-08-19 21:18 UTC, laolux
no flags Details
File: limits (1.29 KB, text/plain)
2016-08-19 21:18 UTC, laolux
no flags Details
File: maps (39.03 KB, text/plain)
2016-08-19 21:18 UTC, laolux
no flags Details
File: mountinfo (3.76 KB, text/plain)
2016-08-19 21:18 UTC, laolux
no flags Details
File: namespaces (102 bytes, text/plain)
2016-08-19 21:18 UTC, laolux
no flags Details
File: open_fds (1.05 KB, text/plain)
2016-08-19 21:18 UTC, laolux
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-08-19 21:18 UTC, laolux
no flags Details
File: var_log_messages (321 bytes, text/plain)
2016-08-19 21:18 UTC, laolux
no flags Details

Description laolux 2016-08-19 21:17:57 UTC
Version-Release number of selected component:
ibus-1.5.13-3.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-ui-gtk3
crash_function: XkbFreeClientMap
executable:     /usr/libexec/ibus-ui-gtk3
global_pid:     9246
kernel:         4.6.6-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XkbFreeClientMap at XKBMAlloc.c:903
 #1 XkbFreeKeyboard at XKBAlloc.c:322
 #2 _XkbReloadDpy at XKBBind.c:558
 #3 XKeysymToKeycode at XKBBind.c:159
 #4 keybinding_manager_bind at keybindingmanager.c:210
 #5 panel_keybinding_manager_bind at panel.c:1334
 #6 panel_bind_switch_shortcut at panel.c:1398
 #7 panel_construct at panel.c:714
 #8 application_bus_name_acquired_cb at application.c:220
 #9 _application_bus_name_acquired_cb_gd_bus_signal_callback at application.c:166

Comment 1 laolux 2016-08-19 21:18:02 UTC
Created attachment 1192314 [details]
File: backtrace

Comment 2 laolux 2016-08-19 21:18:03 UTC
Created attachment 1192315 [details]
File: cgroup

Comment 3 laolux 2016-08-19 21:18:05 UTC
Created attachment 1192316 [details]
File: core_backtrace

Comment 4 laolux 2016-08-19 21:18:06 UTC
Created attachment 1192317 [details]
File: dso_list

Comment 5 laolux 2016-08-19 21:18:08 UTC
Created attachment 1192318 [details]
File: environ

Comment 6 laolux 2016-08-19 21:18:09 UTC
Created attachment 1192319 [details]
File: exploitable

Comment 7 laolux 2016-08-19 21:18:10 UTC
Created attachment 1192320 [details]
File: limits

Comment 8 laolux 2016-08-19 21:18:12 UTC
Created attachment 1192321 [details]
File: maps

Comment 9 laolux 2016-08-19 21:18:13 UTC
Created attachment 1192322 [details]
File: mountinfo

Comment 10 laolux 2016-08-19 21:18:14 UTC
Created attachment 1192323 [details]
File: namespaces

Comment 11 laolux 2016-08-19 21:18:16 UTC
Created attachment 1192324 [details]
File: open_fds

Comment 12 laolux 2016-08-19 21:18:17 UTC
Created attachment 1192325 [details]
File: proc_pid_status

Comment 13 laolux 2016-08-19 21:18:18 UTC
Created attachment 1192326 [details]
File: var_log_messages

Comment 14 fujiwara 2016-08-23 05:45:13 UTC
I cannot reproduce your problem.
Are you able to reproduce your backtrace?

Seems your desktop does not enable XKB. If you log into GNOME, ibus-ui-gtk3 should not be run since gnome-shell shows the ibus icon instead.


(In reply to laolux from comment #1)
> Created attachment 1192314 [details]
> File: backtrace

#0  XkbFreeClientMap (xkb=xkb@entry=0x5, what=what@entry=7, freeMap=freeMap@entry=1) at XKBMAlloc.c:903
903	    if ((xkb == NULL) || (xkb->map == NULL))
#1  0x00007f0e38624973 in XkbFreeKeyboard (xkb=0x5, which=<optimized out>, which@entry=127, freeAll=freeAll@entry=1) at XKBAlloc.c:322
#2  0x00007f0e3860e9f1 in _XkbReloadDpy (dpy=0x5620308fb020) at XKBBind.c:558
#3  0x00007f0e3860efdf in XKeysymToKeycode (dpy=0x5620308fb020, ks=ks@entry=32) at XKBBind.c:159
#4  0x000056202fe58f58 in keybinding_manager_bind (self=self@entry=0x562030a11930, keysym=keysym@entry=32, modifiers=GDK_CONTROL_MASK, handler=handler@entry=0x56202fe5dcc0 <___lambda38__keybinding_manager_keybinding_handler_func>, handler_target=handler_target@entry=0x562030ad6160) at keybindingmanager.c:210
#5  0x000056202fe5c1e8 in panel_keybinding_manager_bind (accelerator=0x562030a23e70 "<Control>space", keybinding_manager=0x562030a11930, self=0x562030ad6160) at panel.c:1334
#6  panel_bind_switch_shortcut (self=self@entry=0x562030ad6160) at panel.c:1398
#7  0x000056202fe5ee3a in panel_construct (object_type=<optimized out>, bus=<optimized out>) at panel.c:714
#8  0x000056202fe505d5 in application_bus_name_acquired_cb (parameters=<optimized out>, signal_name=<optimized out>, interface_name=<optimized out>, object_path=<optimized out>, sender_name=<optimized out>, connection=<optimized out>, self=0x5620308eaa10) at application.c:220
#9  _application_bus_name_acquired_cb_gd_bus_signal_callback (connection=<optimized out>, sender_name=<optimized out>, object_path=<optimized out>, interface_name=<optimized out>, signal_name=<optimized out>, parameters=<optimized out>, self=0x5620308eaa10) at application.c:166
#10 0x00007f0e37a2a277 in emit_signal_instance_in_idle_cb (data=0x7f0e20005850) at gdbusconnection.c:3701
#11 0x00007f0e37444703 in g_main_dispatch (context=0x562030900a10) at gmain.c:3154

Comment 15 laolux 2016-09-06 22:22:30 UTC
Sorry, not been able to reproduce, just as the other one I experience (https://bugzilla.redhat.com/show_bug.cgi?id=1368592).
Could have been with Gnome on Wayland, if that helps any. Haven't been using that lately, will try (use) more.

Comment 16 Fedora End Of Life 2017-07-25 22:31:39 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 fujiwara 2017-07-27 06:52:57 UTC
I decided to run ibus-ui-gtk3 with x11 backend only at the moment.
Fixed in f25 or later.

Comment 18 Fedora Update System 2017-07-27 07:52:50 UTC
ibus-1.5.14-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c75f9d414a

Comment 19 Fedora Update System 2017-07-27 07:53:15 UTC
ibus-1.5.16-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e743d58478

Comment 20 Fedora Update System 2017-07-27 23:23:42 UTC
ibus-1.5.14-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c75f9d414a

Comment 21 Fedora Update System 2017-07-28 01:52:59 UTC
ibus-1.5.16-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e743d58478

Comment 22 Fedora Update System 2017-07-31 06:25:04 UTC
ibus-1.5.16-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-08-01 21:55:39 UTC
ibus-1.5.14-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.